[PVE-User] 5.2 installer fails randomly

Adam Weremczuk adamw at matrixscience.com
Thu Feb 28 12:47:14 CET 2019


Hello,

I've been installing Proxmox VE 5.2.1 from CD on IBM/Lenovo x3650 M3 
with default settings.
The server was running the same version of Proxmox before and then 
briefly ESXi 6.7.

On the first attempt installer failed with:

Unable to install boot loader

(...)
Installing for i386-pc platform.
Installation finished. No errors reported.
Installing for x86_64-efi platform.
File descriptor 4 (/dev/sda2) leaked on vgs invocation. Parent PID 
26317: /usr/sbin/grub-install
File descriptor 4 (/dev/sda2) leaked on vgs invocation. Parent PID 
26317: /usr/sbin/grub-install
Could not delete variable: No such file or directory
/usr/sbin/grub-install: error: efibootmgr failed to register the boot 
entry: Block device required.
unable to install the EFI boot loader on '/dev/sda'
umount: /target: target is busy
(in some cases useful info about processes that use the device is found 
by lsof(8) or fuser(1).)

Interestingly when I reboot and rerun the installer with the same 
settings it installs fine.

Can anybody explain it?

Thanks,
Adam



More information about the pve-user mailing list